Page MenuHomePhabricator

Specific image on Commons won't display/load due to Thumbor CommandError
Closed, ResolvedPublic

Description

Details of the error are attached to the report, which will be publicly viewable. If you are not comfortable with that, you can edit the report below and remove all the data you don't want to share.

Error details:

error: could not load image from https://upload.wikimedia.org/wikipedia/commons/thumb/4/45/Ecological_Speciation_%28pollinator_isolation%29_Schematic.svg/1920px-Ecological_Speciation_%28pollinator_isolation%29_Schematic.svg.png
URL: https://en.wikipedia.org/wiki/User:Azcolvin429/speciation_developments_3#/media/File:Ecological_Speciation_(pollinator_isolation)_Schematic.svg
user agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.139 Safari/537.36
screen size: 1920x1080
canvas size: 1570x830
image size: 2848x1548
thumbnail size: CSS: 1522x830, screen width: 1522, real width: 1920

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptMay 22 2018, 3:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper changed the task status from Open to Stalled.May 25 2018, 9:45 PM
Aklapper removed Azcolvin429 as the assignee of this task.

Hi @Azcolvin429, thanks for taking the time to report this!
When you click on the first link directly, can you access the image and is the image displayed in your web browser? If it is not displayed, what is displayed / which exact error message is shown?
Does this problem also happen with another browser (which browser)?
Have you tried to bypass your browser cache?

So the image displays in the browser as thumbnails (such as in the revision
history) and it displays fully when clicked directly on. But in this page
https://commons.wikimedia.org/wiki/File:Ecological_Speciation_(pollinator_isolation)_Schematic.svg,
the image does not display. It shows a transparent background typical of a
PNG or SVG and overlaid is the file name "File:Ecological Speciation
(pollinator isolation) Schematic.svg". This overlay text also displays as a
link. If you click the link, the image does display in full size.

I have not checked with another browser myself but I sent the link to my
friend and asked if he could see the image. He informed me that he was
seeing exactly what I was seeing.

I have not bypassed my cache but I have cleared my cache and purged the
page.

Let me know if you need anything else.

Tgr edited projects, added Thumbor; removed Multimedia, MediaViewer.EditedMay 26 2018, 8:47 AM
Tgr added a subscriber: Tgr.

The Thumbor error is CommandError: (['/usr/bin/rsvg-convert', '/srv/thumbor/tmp/thumbor@8818/tmpcObLVI', '-u', '-f', 'png', '-w', '800'], '', '', -11).

Aklapper renamed this task from image wont display/load to Specific image on Commons won't display/load to due Thumbor CommandError.May 27 2018, 11:18 PM
Aklapper renamed this task from Specific image on Commons won't display/load to due Thumbor CommandError to Specific image on Commons won't display/load due to Thumbor CommandError.
Aklapper changed the task status from Stalled to Open.

Is it something with the image? Should I just re-upload a new version with a new filename?

Gilles added a subscriber: Gilles.EditedMay 28 2018, 9:37 AM

This is a known issue where the librsvg version that Debian Jessie comes with segfaults when resizing some SVGs to specific sizes. Which is why some small thumbnails render fine and the bigger ones fail.

I don't know what properties the affected SVGs have that trigger the bug, I unfortunately can't recommend a workaround for this problem.

Resolution of this issue is blocked on upgrading the Thumbor server fleet to Debian Stretch: T170817

Vvjjkkii renamed this task from Specific image on Commons won't display/load due to Thumbor CommandError to 0icaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 0icaaaaaaa to Specific image on Commons won't display/load due to Thumbor CommandError.Jul 2 2018, 3:59 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Gilles closed this task as Resolved.Feb 26 2019, 12:37 PM
Gilles claimed this task.

Fixed by the Stretch upgrade